Permalink
Browse files

Resolve merge conflicts

  • Loading branch information...
2 parents 8fbec47 + c8b38ea commit 92e671692fdcb4bc3ff1b4f6be2081877e0911a5 @pivotalops pivotalops committed Dec 31, 2009
View
11 Gemfile
@@ -0,0 +1,11 @@
+gem "rake", "0.8.7"
+gem "jeweler", "1.4.0"
+gem "gemcutter", "0.2.1"
+
+gem "rspec", ">= 1.1.5", :only => :testing
+gem "rack", ">= 1.0.0", :only => :testing
+gem "thin", ">= 1.2.4", :only => :testing
+gem "selenium-rc", ">=2.1.0", :only => :testing
+gem "selenium-client", ">=1.2.17", :only => :testing
+
+disable_system_gems
View
@@ -1,27 +1,65 @@
+require "#{File.dirname(__FILE__)}/vendor/gems/environment"
+Bundler.require_env :rake
+
+$LOAD_PATH.unshift File.expand_path("#{File.dirname(__FILE__)}/lib")
+
+require 'spec'
+require 'spec/rake/spectask'
+
+desc "Run all examples"
+Spec::Rake::SpecTask.new('spec') do |t|
+ t.spec_files = FileList['spec/**/*.rb']
+end
+
+namespace :jasmine do
+# require 'jasmine'
+ require 'spec/jasmine_self_test_config'
+
+# desc "Run continuous integration tests"
+# require "spec"
+# require 'spec/rake/spectask'
+# Spec::Rake::SpecTask.new(:ci) do |t|
+# t.spec_opts = ["--color", "--format", "specdoc"]
+# t.verbose = true
+# t.spec_files = [JasmineHelper.meta_spec_path]
+# end
+
+ task :server do
+ puts "your tests are here:"
+ puts " http://localhost:8888/run.html"
+
+ JasmineSelfTestConfig.new.start_server
+ end
+end
+
+desc "Run specs via server"
+task :jasmine => ['jasmine:server']
+
+
namespace :jeweler do
+ unless File.exists?('jasmine/lib')
+ raise "Jasmine submodule isn't present. Run git submodule init && git submodule update."
+ end
+
begin
require 'jeweler'
require 'rake'
Jeweler::Tasks.new do |gemspec|
- gemspec.name = "jasmine-ruby"
- gemspec.summary = "Jasmine Ruby"
- gemspec.description = "Javascript BDD testings"
+ gemspec.name = "jasmine"
+ gemspec.summary = "Jasmine Ruby Runner"
+ gemspec.description = "Javascript BDD test framework"
gemspec.email = "ragaskar@gmail.com"
- gemspec.homepage = "http://github.com/ragaskar/jasmine-ruby"
- gemspec.description = "Jasmine Ruby"
- gemspec.authors = ["Rajan Agaskar"]
- gemspec.files = FileList.new('bin/*', 'lib/**/**', 'jasmine/lib/**', 'tasks/**', 'templates/**')
-
+ gemspec.homepage = "http://github.com/pivotal/jasmine-ruby"
+ gemspec.authors = ["Rajan Agaskar", "Christian Williams"]
+ gemspec.files = FileList.new('bin/jasmine', 'lib/**/**', 'jasmine/lib/**', 'jasmine/contrib/ruby/**', 'tasks/**', 'templates/**')
gemspec.add_dependency('rspec', '>= 1.1.5')
- gemspec.add_dependency('rack', '>= 1.0.0')
gemspec.add_dependency('json', '>= 1.1.9')
- gemspec.add_dependency('pivotal-selenium-rc', '>= 1.11.20090610')
- gemspec.add_dependency('selenium-client', '>= 1.2.17')
- gemspec.add_dependency('thin', '= 1.2.4')
+ gemspec.add_dependency('rack', '>= 1.0.0')
+ gemspec.add_dependency('thin', '>= 1.2.4')
+ gemspec.add_dependency('selenium-rc', '>=2.1.0')
+ gemspec.add_dependency('selenium-client', '>=1.2.17')
end
Jeweler::GemcutterTasks.new
- rescue LoadError
- puts "Jeweler not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com"
end
end
View
@@ -1,5 +1,5 @@
---
-:minor: 2
-:patch: 0
-:build:
+:minor: 1
+:build:
+:patch: 3
:major: 0
View
@@ -1,6 +0,0 @@
----
-gems:
-- name: rake
- version: 0.8.7
-- name: jeweler
- version: 1.4.0
View
@@ -4,12 +4,12 @@
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
- s.name = %q{jasmine-ruby}
+ s.name = %q{jasmine}
s.version = "0.1.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Rajan Agaskar"]
- s.date = %q{2009-12-05}
+ s.date = %q{2009-12-27}
s.default_executable = %q{jasmine}
s.description = %q{Jasmine Ruby}
s.email = %q{ragaskar@gmail.com}
@@ -24,18 +24,18 @@ Gem::Specification.new do |s|
"jasmine/lib/jasmine-0.10.0.js",
"jasmine/lib/jasmine.css",
"jasmine/lib/json2.js",
- "lib/jasmine-ruby.rb",
- "lib/jasmine-ruby/jasmine_helper.rb",
- "lib/jasmine-ruby/jasmine_meta_spec.rb",
- "lib/jasmine-ruby/jasmine_runner.rb",
- "lib/jasmine-ruby/jasmine_spec_builder.rb",
- "lib/jasmine-ruby/run.html",
+ "lib/jasmine.rb",
+ "lib/jasmine/jasmine_helper.rb",
+ "lib/jasmine/jasmine_meta_spec.rb",
+ "lib/jasmine/jasmine_runner.rb",
+ "lib/jasmine/spec_builder.rb",
+ "lib/jasmine/run.html",
"templates/Rakefile",
- "templates/example_spec.js",
+ "templates/ExampleSpec.js",
"templates/jasmine_helper.rb",
- "templates/spec_helper.js"
+ "templates/SpecHelper.js"
]
- s.homepage = %q{http://github.com/ragaskar/jasmine-ruby}
+ s.homepage = %q{http://github.com/ragaskar/jasmine}
s.rdoc_options = ["--charset=UTF-8"]
s.require_paths = ["lib"]
s.rubygems_version = %q{1.3.5}
@@ -51,25 +51,16 @@ Gem::Specification.new do |s|
if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
s.add_runtime_dependency(%q<rspec>, [">= 1.1.5"])
s.add_runtime_dependency(%q<rack>, [">= 1.0.0"])
- s.add_runtime_dependency(%q<json>, [">= 1.1.9"])
- s.add_runtime_dependency(%q<pivotal-selenium-rc>, [">= 1.11.20090610"])
- s.add_runtime_dependency(%q<selenium-client>, [">= 1.2.17"])
- s.add_runtime_dependency(%q<thin>, ["= 1.2.4"])
+ s.add_runtime_dependency(%q<thin>, [">= 1.2.4"])
else
s.add_dependency(%q<rspec>, [">= 1.1.5"])
s.add_dependency(%q<rack>, [">= 1.0.0"])
- s.add_dependency(%q<json>, [">= 1.1.9"])
- s.add_dependency(%q<pivotal-selenium-rc>, [">= 1.11.20090610"])
- s.add_dependency(%q<selenium-client>, [">= 1.2.17"])
- s.add_dependency(%q<thin>, ["= 1.2.4"])
+ s.add_dependency(%q<thin>, [">= 1.2.4"])
end
else
s.add_dependency(%q<rspec>, [">= 1.1.5"])
s.add_dependency(%q<rack>, [">= 1.0.0"])
- s.add_dependency(%q<json>, [">= 1.1.9"])
- s.add_dependency(%q<pivotal-selenium-rc>, [">= 1.11.20090610"])
- s.add_dependency(%q<selenium-client>, [">= 1.2.17"])
- s.add_dependency(%q<thin>, ["= 1.2.4"])
+ s.add_dependency(%q<thin>, [">= 1.2.4"])
end
end
View
@@ -1,3 +0,0 @@
-require 'jasmine-ruby/jasmine_helper'
-require 'jasmine-ruby/jasmine_runner'
-require 'jasmine-ruby/jasmine_spec_builder'
Oops, something went wrong.

0 comments on commit 92e6716

Please sign in to comment.